QDomComment(3qt)

NAME
QDomComment - Represents an XML comment

SYNOPSIS
All the functions in this class are reentrant when TQt is built with thread support.</p>

#include <ntqdom.h>

Inherits QDomCharacterData.

  Public Members
QDomComment ()
QDomComment ( const QDomComment & x )
QDomComment & operator= ( const QDomComment & x )
~QDomComment ()
virtual QDomNode::NodeType nodeType () const
virtual bool isComment () const

DESCRIPTION
The QDomComment class represents an XML comment.

A comment in the parsed XML such as this:

    <!-- this is a comment -->
is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

MEMBER FUNCTION DOCUMENTATION

QDomComment::QDomComment ()
Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

QDomComment::QDomComment ( const QDomComment & x )
Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

QDomComment::~QDomComment ()
Destroys the object and frees its resources.

bool QDomComment::isComment () const [virtual]
Returns TRUE.

Reimplemented from QDomNode.

QDomNode::NodeType QDomComment::nodeType () const [virtual]
Returns CommentNode.

Reimplemented from QDomCharacterData.

QDomComment & QDomComment::operator= ( const QDomComment & x )
Assigns x to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

SEE ALSO
http://doc.trolltech.com/qdomcomment.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqdomcomment.3qt) and the Qt version (3.3.8).